Gecode::Gist::PreorderNodeVisitor< Cursor > Class Template Reference

Run a cursor over a tree, processing nodes in pre-order. More...

`#include <nodevisitor.hh>`

## Public Member Functions

| PreorderNodeVisitor (const Cursor &c)
| Constructor.
bool | next (void)
| Move cursor to the next node, return true if succeeded.
void | run (void)
| Execute visitor.
Public Member Functions inherited from Gecode::Gist::NodeVisitor< Cursor >
| NodeVisitor (const Cursor &c0)
| Constructor.
void | setCursor (const Cursor &c0)
| Reset the cursor object to c0.
Cursor & | getCursor (void)
| Return the cursor.

## Protected Member Functions

bool | backtrack (void)
| Move cursor to next node from a leaf.

## Additional Inherited Members

Protected Attributes inherited from Gecode::Gist::NodeVisitor< Cursor >
Cursor | c
| The cursor.

## Detailed Description

template<class Cursor>
class Gecode::Gist::PreorderNodeVisitor< Cursor >

Run a cursor over a tree, processing nodes in pre-order.

Definition at line 72 of file nodevisitor.hh.

## Constructor & Destructor Documentation

## PreorderNodeVisitor()

template<class Cursor>

Gecode::Gist::PreorderNodeVisitor< Cursor >::PreorderNodeVisitor | ( | const Cursor & | c | ) |

Constructor.

Definition at line 98 of file nodevisitor.hpp.

## Member Function Documentation

## backtrack()

template<class Cursor>

bool Gecode::Gist::PreorderNodeVisitor< Cursor >::backtrack | ( | void |  | ) |

inline protected

Move cursor to next node from a leaf.

Definition at line 85 of file nodevisitor.hpp.

## next()

template<class Cursor>

bool Gecode::Gist::PreorderNodeVisitor< Cursor >::next | ( | void |  | ) |

inline

Move cursor to the next node, return true if succeeded.

Definition at line 103 of file nodevisitor.hpp.

## run()

template<class Cursor>

void Gecode::Gist::PreorderNodeVisitor< Cursor >::run | ( | void |  | ) |

inline

Execute visitor.

Definition at line 117 of file nodevisitor.hpp.

The documentation for this class was generated from the following files:

- gecode/gist/nodevisitor.hh
- gecode/gist/nodevisitor.hpp